/*------------------------------------------------------------------------------


  MFC NDS Conbadge
  Kitsch 2024


  ------------------------------------------------------------------------------*/

#include <nds.h>
#include <stdio.h>

volatile int frame = 0;

//------------------------------------------------------------------------------
void Vblank(){
  frame++;
}

int main(void) {
  touchPosition touchXY;

  irqSet(IRQ_VBLANK, Vblank);

  consoleDemoInit();

  iprintf("\x1b[45mHello K!TSCH\n");

  while(1) {
    swiWaitForVBlank();
    scanKeys();
    int keys = keysDown();
    if (keys & KEY_START) break;

    touchRead(&touchXY);

    //print at using ansi escape seq \x1b[lin;columnH
    iprintf("\x1b[10;0HFrame = %d", frame);
    iprintf("\x1b[16;0HTouch x = %04X, %04X\n", touchXY.rawx, touchXY.px);
    iprintf("Touch y = %04X, %04X\n", touchXY.rawy, touchXY.py);
  }
  
  return 0;
}
